#
# spec file for package perl-Email-Stuff
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Email-Stuff
Version:        2.105
Release:        1.1
%define cpan_name Email-Stuff
Summary:        A more casual approach to creating and sending Email:: emails
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Email-Stuff/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Email::MIME) >= 1.901
BuildRequires:  perl(Email::Send) >= 2.185
BuildRequires:  perl(Email::Send::Test) >= 2.04
BuildRequires:  perl(Email::Simple) >= 1.998
BuildRequires:  perl(File::Type) >= 0.22
BuildRequires:  perl(Params::Util) >= 0.23
BuildRequires:  perl(prefork) >= 1.01
Requires:       perl(Email::MIME) >= 1.901
Requires:       perl(Email::Send) >= 2.185
Requires:       perl(Email::Simple) >= 1.998
Requires:       perl(File::Type) >= 0.22
Requires:       perl(Params::Util) >= 0.23
Requires:       perl(prefork) >= 1.01
%{perl_requires}

%description
*The basics should all work, but this module is still subject to name
and/or API changes*

Email::Stuff, as its name suggests, is a fairly casual module used to email
"stuff" to people using the most common methods. It is a high-level module
designed for ease of use when doing a very specific common task, but
implemented on top of the tight and correct Email:: modules.

Email::Stuff is typically used to build emails and send them in a single
statement, as seen in the synopsis. And it is certain only for use when
creating and sending emails. As such, it contains no email parsing
capability, and little to no modification support.

To re-iterate, this is very much a module for those "slap it together and
fire it off" situations, but that still has enough grunt behind the scenes
to do things properly.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.105
  see /usr/share/doc/packages/perl-Email-Stuff/Changes
  2.10      2014-02-05
  - update repo and and bugtracker links
  2.104     2013-08-16
    Documentation improvements (kd).
  2.103     2013-05-30
    note deprecation in favor of Email::Stuffer
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Sep 21 2010 dbahi@novell.com
- initial package 2.102
  * created by cpanspec 1.78
